<div id="shopify-section-product-template" class="shopify-section" *ngIf="product">
    <!-- /templates/product.liquid -->
    <div itemscope="" itemtype="http://schema.org/Product" id="ProductSection" data-section-id="product-template" data-section-type="product-template"
        data-image-zoom-type="zoom-in" data-show-extra-tab="false" data-extra-tab-content="" data-cart-enable-ajax="true" data-enable-history-state="true">
        <meta itemprop="name" content="{{product.name}}">
        <meta itemprop="url" content="{{product.url}}">
        <meta itemprop="image" content="{{product.primaryMedia.url}}">
        <div class="grid product-single">
            <div class="grid__item medium-up--one-half">
                <style>
                    @media screen and (min-width: 750px) { 
                            #ProductImage-289039097 {
                                max-width: 375.0px;
                                max-height: 600px;
                            }
                            #ProductImageWrapper-289039097 {
                                max-width: 375.0px;
                            }
                        } 
                        @media screen and (max-width: 749px) {
                            #ProductImage-289039097 {
                                max-width: 450.0px;
                                max-height: 720px;
                            }
                            #ProductImageWrapper-289039097 {
                                max-width: 450.0px;
                            }
                        }  
                </style>
                <div class="product-single__photos image-zoom" data-image-id="289039097">
                    <div class="product-single__featured-image-wrapper">
                        <style>
                            @media screen and (min-width: 750px) { 
                                #ProductImage-289039098 {
                                max-width: 375.0px;
                                max-height: 600px;
                                }
                                #ProductImageWrapper-289039098 {
                                max-width: 375.0px;
                                }
                            } 
    
                            @media screen and (max-width: 749px) {
                                #ProductImage-289039098 {
                                    max-width: 450.0px;
                                    max-height: 720px;
                                }
                                #ProductImageWrapper-289039098 {
                                    max-width: 450.0px;
                                }
                            }                 
                        </style>
                          <img [src]="selectedMedia.url" [imageZoom]="selectedMedia.url+'-x640.jpg'"  
                          [lensWidth]="640" [lensHeight]="1024" [windowPosition]="2">
                    </div>
                </div>
                <ul *ngIf="product.media" class="product-single__thumbnails grid grid--uniform" id="ProductThumbs" >
                    <li *ngFor="let media of product.media" class="grid__item small--one-half medium-up--push-one-sixth medium-up--one-third"
                    style="width: 100px; height: 160px;">
                    
                        <a  (click)="setSelectedMedia(media)" class="product-single__thumbnail" data-image-id="289039098">
                            <img src="{{media.url}}" alt="{{media.altText}}">
                        </a>
                    </li>
                </ul>
            </div>
            <div class="grid__item medium-up--one-half">
                <div class="product-single__meta small--text-center">
                    <h1 class="product-single__title" itemprop="name">{{product.name}}</h1>
                    <p class="product-single__prices">
                        <span class="visually-hidden">Regular price</span>
                        <span id="ProductPrice" class="product-single__price" itemprop="price" content="99.0">{{product.retailPrice.amount}} {{product.retailPrice.currency}}</span>
                    </p>
                    <div itemprop="offers" itemscope="" itemtype="http://schema.org/Offer">
                        <meta itemprop="priceCurrency" content="CAD">
                        <link itemprop="availability" href="http://schema.org/InStock">
                        <form [formGroup]="addToCartForm" (ngSubmit)="onSubmit()" class="product-form">

                            <div *ngIf="product.productOptions">
                                <div class="selector-wrapper"  *ngFor="let productOption of product.productOptions">
                                    <label for="productOption.attributeName">{{productOption.label}}</label>
                                        <select class="single-option-selector" formControlName="{{productOption.attributeName}}" data-option="productOption.attributeName" id="{{productOption.attributeName}}">
                                        <option *ngFor="let value of productOption.allowedValues" value="{{value.attributeValue}}">{{value.attributeValue}}</option>
                                    </select>

                                </div>
                            </div>
                            <div class="product-single__cart-submit-wrapper">
                                <button type="submit" name="add" id="AddToCart" class="btn product-single__cart-submit btn--secondary" style="border: 2px solid #333; border-radius: 0;"
                                [ngClass]="{'btn--ajax-disabled': pendingAddToCart}"
                                [hidden]="addedToCart"  >
                                    <span id="AddToCartText">SEPETE EKLE</span>
                                </button>
                                <button routerLink="/cart" routerLinkActive="active" [hidden]="!addedToCart" type="button" class="btn btn--view-cart" style="border: 2px solid #333; border-radius: 0;" >Sepete Git</button>
                                <button routerLink="/" routerLinkActive="active"  [hidden]="!addedToCart" class="btn btn--continue-shopping btn--secondary" style="border: 2px solid #333; border-radius: 0;">Alışerişe Devam Et</button>
                            </div>
                        </form>
                    </div>
                    <!-- /snippets/social-sharing.liquid -->
                    <div class="social-sharing" data-permalink="">
                        <a target="_blank" href="//www.facebook.com/sharer.php?u=https://www.kapsulstore.com" class="social-sharing__link"
                            title="Share on Facebook">
                            <svg aria-hidden="true" focusable="false" role="presentation" class="icon icon-facebook" viewBox="0 0 20 20">
                                <path fill="#444" d="M18.05.811q.439 0 .744.305t.305.744v16.637q0 .439-.305.744t-.744.305h-4.732v-7.221h2.415l.342-2.854h-2.757v-1.83q0-.659.293-1t1.073-.342h1.488V3.762q-.976-.098-2.171-.098-1.634 0-2.635.964t-1 2.72V9.47H7.951v2.854h2.415v7.221H1.413q-.439 0-.744-.305t-.305-.744V1.859q0-.439.305-.744T1.413.81H18.05z"></path>
                            </svg>
                            <span aria-hidden="true">Share</span>
                            <span class="visually-hidden">Share on Facebook</span>
                        </a>
                        <a target="_blank" href="//twitter.com/share?text=&amp;url=https://www.kapsulstore.com"
                            class="social-sharing__link" title="Tweet on Twitter">
                            <svg aria-hidden="true" focusable="false" role="presentation" class="icon icon-twitter" viewBox="0 0 20 20">
                                <path fill="#444" d="M19.551 4.208q-.815 1.202-1.956 2.038 0 .082.02.255t.02.255q0 1.589-.469 3.179t-1.426 3.036-2.272 2.567-3.158 1.793-3.963.672q-3.301 0-6.031-1.773.571.041.937.041 2.751 0 4.911-1.671-1.284-.02-2.292-.784T2.456 11.85q.346.082.754.082.55 0 1.039-.163-1.365-.285-2.262-1.365T1.09 7.918v-.041q.774.408 1.773.448-.795-.53-1.263-1.396t-.469-1.864q0-1.019.509-1.997 1.487 1.854 3.596 2.924T9.81 7.184q-.143-.509-.143-.897 0-1.63 1.161-2.781t2.832-1.151q.815 0 1.569.326t1.284.917q1.345-.265 2.506-.958-.428 1.386-1.732 2.18 1.243-.163 2.262-.611z"></path>
                            </svg>
                            <span aria-hidden="true">Tweet</span>
                            <span class="visually-hidden">Tweet on Twitter</span>
                        </a>
                    </div>
                    <div class="product-single__description rte" itemprop="description">
                        <p><span [innerHTML]="product.longDescription"></span></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
